Kaxil Naik created AIRFLOW-2187:
-----------------------------------

             Summary: Fix Broken Travis CI due to [AIRFLOW-2123]
                 Key: AIRFLOW-2187
                 URL: https://issues.apache.org/jira/browse/AIRFLOW-2187
             Project: Apache Airflow
          Issue Type: Improvement
          Components: ci
            Reporter: Kaxil Naik
            Assignee: Kaxil Naik


Travis CI is failing after merging 
[AIRFLOW-2123|https://issues.apache.org/jira/browse/AIRFLOW-2123]. 

This is caused due to the fact that apache-beam[gcp] is not available for 
Python 3.x

*Error Log:*

{code}
Collecting apache-beam[gcp]==2.3.0 (from 
google-cloud-dataflow>=2.2.0->apache-airflow==1.10.0.dev0+incubating)
Could not find a version that satisfies the requirement apache-beam[gcp]==2.3.0 
(from google-cloud-dataflow>=2.2.0->apache-airflow==1.10.0.dev0+incubating) 
(from versions: 0.6.0, 2.0.0, 2.1.0, 2.1.1, 2.2.0)
No matching distribution found for apache-beam[gcp]==2.3.0 (from 
google-cloud-dataflow>=2.2.0->apache-airflow==1.10.0.dev0+incubating)
ERROR: InvocationError: 
'/home/travis/build/apache/incubator-airflow/.tox/py35-backend_mysql/bin/pip 
wheel -w /home/travis/.wheelhouse -f /home/travis/.wheelhouse -e .[devel_ci]'
___________________________________ summary ____________________________________
ERROR: py35-backend_mysql: commands failed
{code}




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to